// Теоретичні питання
//
//     Які існують типи даних у Javascript?
//     У чому різниця між == і ===?
//     Що таке оператор?
//
//     Завдання
//     Реалізувати просту програму на Javascript, яка взаємодіятиме з користувачем за допомогою модальних вікон браузера - alert, prompt, confirm. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.
//
//     Технічні вимоги:
//
//     Отримати за допомогою модального вікна браузера дані користувача: ім'я та вік.
// Якщо вік менше 18 років - показати на екрані повідомлення: You are not allowed to visit this website.
//     Якщо вік від 18 до 22 років (включно) – показати вікно з наступним повідомленням: Are you sure you want to continue? і кнопками Ok, Cancel. Якщо користувач натиснув Ok, показати на екрані повідомлення: Welcome,  + ім'я користувача. Якщо користувач натиснув Cancel, показати на екрані повідомлення: You are not allowed to visit this website.
// Якщо вік більше 22 років – показати на екрані повідомлення: Welcome,  + ім'я користувача.
// Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.
// Після введення даних додати перевірку їхньої коректності. Якщо користувач не ввів ім'я, або при введенні віку вказав не число - запитати ім'я та вік наново (при цьому дефолтним значенням для кожної зі змінних має бути введена раніше інформація).
//
// Література: https://learn.javascript.ru/uibasic https://learn.javascript.ru/let-const

// 1. Є 6 примітивних типів null та об'єкт. До примітивних відносяться: рядковий, логічний, числовий, великий числовий, невизначений та символьний
// 2. == Неточне порівняння призводить до загального типу, === точне порівняння тип перед порівнянням не змінюється
// 3. оператор - команда що треба зробити - наприклад скласти, порівняти, присвоїти то що

// You are not allowed to visit this website   <18               alert1  два одинаковых алерта в одну функцию
// Are you sure you want to continue?          18-22  confirm
//     Welcome,  + ім'я користувача            ok                             alert2 и еще два
// You are not allowed to visit this website.  cancel            alert1
//     Welcome,  + ім'я користувача.           >22                            alert2

function areNot(){alert('You are not allowed to visit this website.');}        //упаковываем в функцию одинаковые сообщения
function welcome(option){alert(`Welcome, ${option}`)}                          //одна с параметром для имени

let age
let name
for(;;) {                                          //зацикливаем пока не введет значение
    name = prompt('Your name');
    if (name) break;                               // если не пусто true прерываем цикл идем дальше
}

for(;;) {                                          //зацикливаем пока не введет число
    age = +prompt('Your age');
    if (Number.isFinite (age)) break;              //если число идем дальше
}

switch (true){
    case age < 18 : areNot();                       //не пускаем если не ввел возраст или возраст меньше 18
        break
    case age <= 22 : exactly = confirm('Are you sure you want to continue?');   //переспрашиваем если больше 18 но меньше 22х
        if (exactly) {
            welcome(name);                            //пускаем если нажал ок
        }  else
            areNot();                                 //не пускаем если нажал cancel
        break
    case  age > 22 : welcome(name);                   // если 22+ не переспрашиваем и пускаем сразу
}

